#include <iostream>
#include <string>

class Person {
private:
    std::string name;
    int age;
    const double height;

public:
    // Constructor using initializer list
    Person(const std::string& n, int a, double h)
        : name(n), age(a), height(h) {
        std::cout << "Person constructed" << std::endl;
    }

    void display() const {
        std::cout << name << " is " << age << " years old and " 
                  << height << "m tall." << std::endl;
    }
};

int main() {
    Person person("Alice", 30, 1.65);
    person.display();

    return 0;
}
